<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:fn="http://java.sun.com/jsp/jstl/functions">
	<h1>
		<small>Relatorios</small>
	</h1>
	<p:tabView id="tbvRelatorio">
		<p:tab id="tbCadastro" title="Relatorio">
			<h:form id="form1" enctype="multipart/form-data">
				<p:panelGrid columns="4" id="panel-dialog" style="padding-top: 10px;" styleClass="semBorda">
					<p:panel id="compraCliente"
						header="Movimentação de Compras por Cliente">
						<p:outputLabel value="Selecione o Cliente" />
						<br />
						<p:autoComplete id="nomeCliente"
							completeMethod="#{movimentoController.clientes}" size="70"
							value="#{movimentoController.cliente}" var="cliente"
							itemLabel="#{cliente.nome}" itemValue="#{cliente}"
							required="true"
							placeholder="Digite o nome do cliente para selecionar"
							converter="genericConverter" forceSelection="true">
							<p:ajax event="itemSelect"
								listener="#{movimentoController.getSelecionouClienteRelatorio}"
								update="compraCliente growl" />
						</p:autoComplete>
						<br />
						<br />
						<center>
							<p:commandButton value="Gerar" update="compraCliente growl"
								process="@this"
								action="#{movimentoController.gerarRelatorioMovimentoCliente}" />
						</center>
					</p:panel>

				</p:panelGrid>
			</h:form>
		</p:tab>
	</p:tabView>
</ui:composition>